Skip to content

Fly a Manual Bird

POST
/nests/{nestId}/birds/{birdId}

Starts a Flight for the specified Bird. Only Birds with a manual trigger type can be flown through this endpoint.

Authorizations

Parameters

Path Parameters

nestId
required
string

The ID of the Nest that contains the Bird.

birdId
required
string

The ID of the Bird. Only manual Birds can be triggered through this endpoint.

Responses

200

The Bird was successfully flown.

400

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties

404

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties

500

Server Error